> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current User



## OpenAPI

````yaml /openapi.json get /users/current
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /users/current:
    get:
      tags:
        - users
      summary: Get Current User
      operationId: get_current_user_users_current_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserData'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    UserData:
      properties:
        id:
          type: string
          title: Id
        username:
          type: string
          title: Username
        email:
          type: string
          title: Email
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        role:
          anyOf:
            - $ref: '#/components/schemas/UserRole'
            - type: 'null'
        is_remote_user:
          type: boolean
          title: Is Remote User
          default: false
      type: object
      required:
        - id
        - username
        - email
      title: UserData
    UserRole:
      type: string
      enum:
        - admin
        - viewer
        - editor
        - remote_user
        - partner
      title: UserRole
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````